<template>
  <div class="offers-table-container">
    <ul class="offers-table-option">
      <li
        class="offers-table-option_list"
        v-html="$t('subscriptionOffers.offers.option-1')"
      ></li>
      <li
        class="offers-table-option_list"
        v-html="$t('subscriptionOffers.offers.option-2')"
      ></li>
      <li
        class="offers-table-option_list"
        v-html="$t('subscriptionOffers.offers.option-3')"
      ></li>
      <li
        class="offers-table-option_list"
        v-html="$t('subscriptionOffers.offers.option-4')"
      ></li>
    </ul>
    <div class="offers-table-pack_container">
      <ul
        v-for="pack in packs"
        :key="pack.id"
        :class="`offers-table-pack {{ pack.active }}`"
      >
        <li class="offers-table-pack_list">
          <p class="pack-title">{{ pack.title }}</p>
          <p class="pack-price">
            {{ pack.price }}/{{ $t('common.generic_month') }}
          </p>
        </li>
        <li class="offers-table-pack_list">{{ pack.duration }}</li>
        <li class="offers-table-pack_list">{{ pack.multiAccount }}</li>
        <li class="offers-table-pack_list">
          <i :class="`icon icon-{{ pack.devices }}`"></i>
        </li>
        <li class="offers-table-pack_list">
          <i :class="`icon icon-{{ pack.parentalControl }}`"></i>
        </li>
        <li class="offers-table-pack_list">
          <a
            :href="pack.btn_href"
            class="button button_blue button_md button--desktop js-gtm-event"
            data-gtm-ev-c="Clic_Bouton"
            data-gtm-ev-a="Abonnement"
            :data-gtm-ev-l="`ChoixOffre_{{ pack.titleShort }}`"
            >{{ pack.btn_text }}</a
          >
          <a
            class="button button_blue button_md button--mobile js-gtm-event"
            :href="pack.btn_href"
            data-gtm-ev-c="Clic_Bouton"
            data-gtm-ev-a="Abonnement"
            :data-gtm-ev-l="`ChoixOffre_{{ pack.titleShort }}`"
            >{{ pack.tn_mob }} <i class="icon icon-cart"></i
          ></a>
        </li>
      </ul>
    </div>
  </div>
</template>

<script>
export default {
  name: 'OffersTable',
  props: {
    // eslint-disable-next-line vue/require-default-prop
    packs: {
      type: Array,
      require: true
    }
  }
}
</script>

<style scoped></style>
